# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: OffgasServicer.proto

import sys
_b=sys.version_info[0]<3 and (lambda x:x) or (lambda x:x.encode('latin1'))
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


import sila2lib.framework.SiLAFramework_pb2 as SiLAFramework__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='OffgasServicer.proto',
  package='sila2.org.silastandard.examples.offgasservicer.v1',
  syntax='proto3',
  serialized_options=None,
  serialized_pb=_b('\n\x14OffgasServicer.proto\x12\x31sila2.org.silastandard.examples.offgasservicer.v1\x1a\x13SiLAFramework.proto\"F\n\x13GetCTRPV_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"H\n\x12GetCTRPV_Responses\x12\x32\n\x0c\x43urrentCTRPV\x18\x01 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"D\n\x11GetFPV_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"D\n\x10GetFPV_Responses\x12\x30\n\nCurrentFPV\x18\x01 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"F\n\x13GetOTRPV_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"H\n\x12GetOTRPV_Responses\x12\x32\n\x0c\x43urrentOTRPV\x18\x01 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"E\n\x12GetRQPV_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"F\n\x11GetRQPV_Responses\x12\x31\n\x0b\x43urrentRQPV\x18\x01 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"G\n\x14GetXCO2PV_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"J\n\x13GetXCO2PV_Responses\x12\x33\n\rCurrentXCO2PV\x18\x01 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"F\n\x13GetVCTPV_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"H\n\x12GetVCTPV_Responses\x12\x32\n\x0c\x43urrentVCTPV\x18\x01 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"F\n\x13GetVOTPV_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"H\n\x12GetVOTPV_Responses\x12\x32\n\x0c\x43urrentVOTPV\x18\x01 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"F\n\x13GetState_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"K\n\x12GetState_Responses\x12\x35\n\x0c\x43urrentState\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"E\n\x12GetType_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"H\n\x11GetType_Responses\x12\x33\n\x0b\x43urrentType\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"J\n\x17GetAvailable_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"S\n\x16GetAvailable_Responses\x12\x39\n\x10\x43urrentAvailable\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"E\n\x12GetName_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"H\n\x11GetName_Responses\x12\x33\n\x0b\x43urrentName\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"H\n\x15GetVersion_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"N\n\x14GetVersion_Responses\x12\x36\n\x0e\x43urrentVersion\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String2\xfe\x0e\n\x0eOffgasServicer\x12\x9b\x01\n\x08GetCTRPV\x12\x46.sila2.org.silastandard.examples.offgasservicer.v1.GetCTRPV_Parameters\x1a\x45.sila2.org.silastandard.examples.offgasservicer.v1.GetCTRPV_Responses\"\x00\x12\x95\x01\n\x06GetFPV\x12\x44.sila2.org.silastandard.examples.offgasservicer.v1.GetFPV_Parameters\x1a\x43.sila2.org.silastandard.examples.offgasservicer.v1.GetFPV_Responses\"\x00\x12\x9b\x01\n\x08GetOTRPV\x12\x46.sila2.org.silastandard.examples.offgasservicer.v1.GetOTRPV_Parameters\x1a\x45.sila2.org.silastandard.examples.offgasservicer.v1.GetOTRPV_Responses\"\x00\x12\x98\x01\n\x07GetRQPV\x12\x45.sila2.org.silastandard.examples.offgasservicer.v1.GetRQPV_Parameters\x1a\x44.sila2.org.silastandard.examples.offgasservicer.v1.GetRQPV_Responses\"\x00\x12\x9e\x01\n\tGetXCO2PV\x12G.sila2.org.silastandard.examples.offgasservicer.v1.GetXCO2PV_Parameters\x1a\x46.sila2.org.silastandard.examples.offgasservicer.v1.GetXCO2PV_Responses\"\x00\x12\x9b\x01\n\x08GetVCTPV\x12\x46.sila2.org.silastandard.examples.offgasservicer.v1.GetVCTPV_Parameters\x1a\x45.sila2.org.silastandard.examples.offgasservicer.v1.GetVCTPV_Responses\"\x00\x12\x9b\x01\n\x08GetVOTPV\x12\x46.sila2.org.silastandard.examples.offgasservicer.v1.GetVOTPV_Parameters\x1a\x45.sila2.org.silastandard.examples.offgasservicer.v1.GetVOTPV_Responses\"\x00\x12\x9b\x01\n\x08GetState\x12\x46.sila2.org.silastandard.examples.offgasservicer.v1.GetState_Parameters\x1a\x45.sila2.org.silastandard.examples.offgasservicer.v1.GetState_Responses\"\x00\x12\x98\x01\n\x07GetType\x12\x45.sila2.org.silastandard.examples.offgasservicer.v1.GetType_Parameters\x1a\x44.sila2.org.silastandard.examples.offgasservicer.v1.GetType_Responses\"\x00\x12\xa7\x01\n\x0cGetAvailable\x12J.sila2.org.silastandard.examples.offgasservicer.v1.GetAvailable_Parameters\x1aI.sila2.org.silastandard.examples.offgasservicer.v1.GetAvailable_Responses\"\x00\x12\x98\x01\n\x07GetName\x12\x45.sila2.org.silastandard.examples.offgasservicer.v1.GetName_Parameters\x1a\x44.sila2.org.silastandard.examples.offgasservicer.v1.GetName_Responses\"\x00\x12\xa1\x01\n\nGetVersion\x12H.sila2.org.silastandard.examples.offgasservicer.v1.GetVersion_Parameters\x1aG.sila2.org.silastandard.examples.offgasservicer.v1.GetVersion_Responses\"\x00\x62\x06proto3')
  ,
  dependencies=[SiLAFramework__pb2.DESCRIPTOR,])




_GETCTRPV_PARAMETERS = _descriptor.Descriptor(
  name='GetCTRPV_Parameters',
  full_name='sila2.org.silastandard.examples.offgasservicer.v1.GetCTRPV_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.offgasservicer.v1.GetCTRPV_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=96,
  serialized_end=166,
)


_GETCTRPV_RESPONSES = _descriptor.Descriptor(
  name='GetCTRPV_Responses',
  full_name='sila2.org.silastandard.examples.offgasservicer.v1.GetCTRPV_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentCTRPV', full_name='sila2.org.silastandard.examples.offgasservicer.v1.GetCTRPV_Responses.CurrentCTRPV', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=168,
  serialized_end=240,
)


_GETFPV_PARAMETERS = _descriptor.Descriptor(
  name='GetFPV_Parameters',
  full_name='sila2.org.silastandard.examples.offgasservicer.v1.GetFPV_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.offgasservicer.v1.GetFPV_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=242,
  serialized_end=310,
)


_GETFPV_RESPONSES = _descriptor.Descriptor(
  name='GetFPV_Responses',
  full_name='sila2.org.silastandard.examples.offgasservicer.v1.GetFPV_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentFPV', full_name='sila2.org.silastandard.examples.offgasservicer.v1.GetFPV_Responses.CurrentFPV', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=312,
  serialized_end=380,
)


_GETOTRPV_PARAMETERS = _descriptor.Descriptor(
  name='GetOTRPV_Parameters',
  full_name='sila2.org.silastandard.examples.offgasservicer.v1.GetOTRPV_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.offgasservicer.v1.GetOTRPV_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=382,
  serialized_end=452,
)


_GETOTRPV_RESPONSES = _descriptor.Descriptor(
  name='GetOTRPV_Responses',
  full_name='sila2.org.silastandard.examples.offgasservicer.v1.GetOTRPV_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentOTRPV', full_name='sila2.org.silastandard.examples.offgasservicer.v1.GetOTRPV_Responses.CurrentOTRPV', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=454,
  serialized_end=526,
)


_GETRQPV_PARAMETERS = _descriptor.Descriptor(
  name='GetRQPV_Parameters',
  full_name='sila2.org.silastandard.examples.offgasservicer.v1.GetRQPV_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.offgasservicer.v1.GetRQPV_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=528,
  serialized_end=597,
)


_GETRQPV_RESPONSES = _descriptor.Descriptor(
  name='GetRQPV_Responses',
  full_name='sila2.org.silastandard.examples.offgasservicer.v1.GetRQPV_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentRQPV', full_name='sila2.org.silastandard.examples.offgasservicer.v1.GetRQPV_Responses.CurrentRQPV', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=599,
  serialized_end=669,
)


_GETXCO2PV_PARAMETERS = _descriptor.Descriptor(
  name='GetXCO2PV_Parameters',
  full_name='sila2.org.silastandard.examples.offgasservicer.v1.GetXCO2PV_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.offgasservicer.v1.GetXCO2PV_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=671,
  serialized_end=742,
)


_GETXCO2PV_RESPONSES = _descriptor.Descriptor(
  name='GetXCO2PV_Responses',
  full_name='sila2.org.silastandard.examples.offgasservicer.v1.GetXCO2PV_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentXCO2PV', full_name='sila2.org.silastandard.examples.offgasservicer.v1.GetXCO2PV_Responses.CurrentXCO2PV', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=744,
  serialized_end=818,
)


_GETVCTPV_PARAMETERS = _descriptor.Descriptor(
  name='GetVCTPV_Parameters',
  full_name='sila2.org.silastandard.examples.offgasservicer.v1.GetVCTPV_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.offgasservicer.v1.GetVCTPV_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=820,
  serialized_end=890,
)


_GETVCTPV_RESPONSES = _descriptor.Descriptor(
  name='GetVCTPV_Responses',
  full_name='sila2.org.silastandard.examples.offgasservicer.v1.GetVCTPV_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentVCTPV', full_name='sila2.org.silastandard.examples.offgasservicer.v1.GetVCTPV_Responses.CurrentVCTPV', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=892,
  serialized_end=964,
)


_GETVOTPV_PARAMETERS = _descriptor.Descriptor(
  name='GetVOTPV_Parameters',
  full_name='sila2.org.silastandard.examples.offgasservicer.v1.GetVOTPV_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.offgasservicer.v1.GetVOTPV_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=966,
  serialized_end=1036,
)


_GETVOTPV_RESPONSES = _descriptor.Descriptor(
  name='GetVOTPV_Responses',
  full_name='sila2.org.silastandard.examples.offgasservicer.v1.GetVOTPV_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentVOTPV', full_name='sila2.org.silastandard.examples.offgasservicer.v1.GetVOTPV_Responses.CurrentVOTPV', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1038,
  serialized_end=1110,
)


_GETSTATE_PARAMETERS = _descriptor.Descriptor(
  name='GetState_Parameters',
  full_name='sila2.org.silastandard.examples.offgasservicer.v1.GetState_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.offgasservicer.v1.GetState_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1112,
  serialized_end=1182,
)


_GETSTATE_RESPONSES = _descriptor.Descriptor(
  name='GetState_Responses',
  full_name='sila2.org.silastandard.examples.offgasservicer.v1.GetState_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentState', full_name='sila2.org.silastandard.examples.offgasservicer.v1.GetState_Responses.CurrentState', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1184,
  serialized_end=1259,
)


_GETTYPE_PARAMETERS = _descriptor.Descriptor(
  name='GetType_Parameters',
  full_name='sila2.org.silastandard.examples.offgasservicer.v1.GetType_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.offgasservicer.v1.GetType_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1261,
  serialized_end=1330,
)


_GETTYPE_RESPONSES = _descriptor.Descriptor(
  name='GetType_Responses',
  full_name='sila2.org.silastandard.examples.offgasservicer.v1.GetType_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentType', full_name='sila2.org.silastandard.examples.offgasservicer.v1.GetType_Responses.CurrentType', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1332,
  serialized_end=1404,
)


_GETAVAILABLE_PARAMETERS = _descriptor.Descriptor(
  name='GetAvailable_Parameters',
  full_name='sila2.org.silastandard.examples.offgasservicer.v1.GetAvailable_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.offgasservicer.v1.GetAvailable_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1406,
  serialized_end=1480,
)


_GETAVAILABLE_RESPONSES = _descriptor.Descriptor(
  name='GetAvailable_Responses',
  full_name='sila2.org.silastandard.examples.offgasservicer.v1.GetAvailable_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentAvailable', full_name='sila2.org.silastandard.examples.offgasservicer.v1.GetAvailable_Responses.CurrentAvailable', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1482,
  serialized_end=1565,
)


_GETNAME_PARAMETERS = _descriptor.Descriptor(
  name='GetName_Parameters',
  full_name='sila2.org.silastandard.examples.offgasservicer.v1.GetName_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.offgasservicer.v1.GetName_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1567,
  serialized_end=1636,
)


_GETNAME_RESPONSES = _descriptor.Descriptor(
  name='GetName_Responses',
  full_name='sila2.org.silastandard.examples.offgasservicer.v1.GetName_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentName', full_name='sila2.org.silastandard.examples.offgasservicer.v1.GetName_Responses.CurrentName', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1638,
  serialized_end=1710,
)


_GETVERSION_PARAMETERS = _descriptor.Descriptor(
  name='GetVersion_Parameters',
  full_name='sila2.org.silastandard.examples.offgasservicer.v1.GetVersion_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.offgasservicer.v1.GetVersion_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1712,
  serialized_end=1784,
)


_GETVERSION_RESPONSES = _descriptor.Descriptor(
  name='GetVersion_Responses',
  full_name='sila2.org.silastandard.examples.offgasservicer.v1.GetVersion_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentVersion', full_name='sila2.org.silastandard.examples.offgasservicer.v1.GetVersion_Responses.CurrentVersion', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1786,
  serialized_end=1864,
)

_GETCTRPV_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_GETCTRPV_RESPONSES.fields_by_name['CurrentCTRPV'].message_type = SiLAFramework__pb2._REAL
_GETFPV_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_GETFPV_RESPONSES.fields_by_name['CurrentFPV'].message_type = SiLAFramework__pb2._REAL
_GETOTRPV_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_GETOTRPV_RESPONSES.fields_by_name['CurrentOTRPV'].message_type = SiLAFramework__pb2._REAL
_GETRQPV_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_GETRQPV_RESPONSES.fields_by_name['CurrentRQPV'].message_type = SiLAFramework__pb2._REAL
_GETXCO2PV_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_GETXCO2PV_RESPONSES.fields_by_name['CurrentXCO2PV'].message_type = SiLAFramework__pb2._REAL
_GETVCTPV_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_GETVCTPV_RESPONSES.fields_by_name['CurrentVCTPV'].message_type = SiLAFramework__pb2._REAL
_GETVOTPV_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_GETVOTPV_RESPONSES.fields_by_name['CurrentVOTPV'].message_type = SiLAFramework__pb2._REAL
_GETSTATE_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_GETSTATE_RESPONSES.fields_by_name['CurrentState'].message_type = SiLAFramework__pb2._INTEGER
_GETTYPE_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_GETTYPE_RESPONSES.fields_by_name['CurrentType'].message_type = SiLAFramework__pb2._STRING
_GETAVAILABLE_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_GETAVAILABLE_RESPONSES.fields_by_name['CurrentAvailable'].message_type = SiLAFramework__pb2._INTEGER
_GETNAME_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_GETNAME_RESPONSES.fields_by_name['CurrentName'].message_type = SiLAFramework__pb2._STRING
_GETVERSION_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_GETVERSION_RESPONSES.fields_by_name['CurrentVersion'].message_type = SiLAFramework__pb2._STRING
DESCRIPTOR.message_types_by_name['GetCTRPV_Parameters'] = _GETCTRPV_PARAMETERS
DESCRIPTOR.message_types_by_name['GetCTRPV_Responses'] = _GETCTRPV_RESPONSES
DESCRIPTOR.message_types_by_name['GetFPV_Parameters'] = _GETFPV_PARAMETERS
DESCRIPTOR.message_types_by_name['GetFPV_Responses'] = _GETFPV_RESPONSES
DESCRIPTOR.message_types_by_name['GetOTRPV_Parameters'] = _GETOTRPV_PARAMETERS
DESCRIPTOR.message_types_by_name['GetOTRPV_Responses'] = _GETOTRPV_RESPONSES
DESCRIPTOR.message_types_by_name['GetRQPV_Parameters'] = _GETRQPV_PARAMETERS
DESCRIPTOR.message_types_by_name['GetRQPV_Responses'] = _GETRQPV_RESPONSES
DESCRIPTOR.message_types_by_name['GetXCO2PV_Parameters'] = _GETXCO2PV_PARAMETERS
DESCRIPTOR.message_types_by_name['GetXCO2PV_Responses'] = _GETXCO2PV_RESPONSES
DESCRIPTOR.message_types_by_name['GetVCTPV_Parameters'] = _GETVCTPV_PARAMETERS
DESCRIPTOR.message_types_by_name['GetVCTPV_Responses'] = _GETVCTPV_RESPONSES
DESCRIPTOR.message_types_by_name['GetVOTPV_Parameters'] = _GETVOTPV_PARAMETERS
DESCRIPTOR.message_types_by_name['GetVOTPV_Responses'] = _GETVOTPV_RESPONSES
DESCRIPTOR.message_types_by_name['GetState_Parameters'] = _GETSTATE_PARAMETERS
DESCRIPTOR.message_types_by_name['GetState_Responses'] = _GETSTATE_RESPONSES
DESCRIPTOR.message_types_by_name['GetType_Parameters'] = _GETTYPE_PARAMETERS
DESCRIPTOR.message_types_by_name['GetType_Responses'] = _GETTYPE_RESPONSES
DESCRIPTOR.message_types_by_name['GetAvailable_Parameters'] = _GETAVAILABLE_PARAMETERS
DESCRIPTOR.message_types_by_name['GetAvailable_Responses'] = _GETAVAILABLE_RESPONSES
DESCRIPTOR.message_types_by_name['GetName_Parameters'] = _GETNAME_PARAMETERS
DESCRIPTOR.message_types_by_name['GetName_Responses'] = _GETNAME_RESPONSES
DESCRIPTOR.message_types_by_name['GetVersion_Parameters'] = _GETVERSION_PARAMETERS
DESCRIPTOR.message_types_by_name['GetVersion_Responses'] = _GETVERSION_RESPONSES
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

GetCTRPV_Parameters = _reflection.GeneratedProtocolMessageType('GetCTRPV_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETCTRPV_PARAMETERS,
  '__module__' : 'OffgasServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.offgasservicer.v1.GetCTRPV_Parameters)
  })
_sym_db.RegisterMessage(GetCTRPV_Parameters)

GetCTRPV_Responses = _reflection.GeneratedProtocolMessageType('GetCTRPV_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETCTRPV_RESPONSES,
  '__module__' : 'OffgasServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.offgasservicer.v1.GetCTRPV_Responses)
  })
_sym_db.RegisterMessage(GetCTRPV_Responses)

GetFPV_Parameters = _reflection.GeneratedProtocolMessageType('GetFPV_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETFPV_PARAMETERS,
  '__module__' : 'OffgasServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.offgasservicer.v1.GetFPV_Parameters)
  })
_sym_db.RegisterMessage(GetFPV_Parameters)

GetFPV_Responses = _reflection.GeneratedProtocolMessageType('GetFPV_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETFPV_RESPONSES,
  '__module__' : 'OffgasServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.offgasservicer.v1.GetFPV_Responses)
  })
_sym_db.RegisterMessage(GetFPV_Responses)

GetOTRPV_Parameters = _reflection.GeneratedProtocolMessageType('GetOTRPV_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETOTRPV_PARAMETERS,
  '__module__' : 'OffgasServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.offgasservicer.v1.GetOTRPV_Parameters)
  })
_sym_db.RegisterMessage(GetOTRPV_Parameters)

GetOTRPV_Responses = _reflection.GeneratedProtocolMessageType('GetOTRPV_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETOTRPV_RESPONSES,
  '__module__' : 'OffgasServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.offgasservicer.v1.GetOTRPV_Responses)
  })
_sym_db.RegisterMessage(GetOTRPV_Responses)

GetRQPV_Parameters = _reflection.GeneratedProtocolMessageType('GetRQPV_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETRQPV_PARAMETERS,
  '__module__' : 'OffgasServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.offgasservicer.v1.GetRQPV_Parameters)
  })
_sym_db.RegisterMessage(GetRQPV_Parameters)

GetRQPV_Responses = _reflection.GeneratedProtocolMessageType('GetRQPV_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETRQPV_RESPONSES,
  '__module__' : 'OffgasServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.offgasservicer.v1.GetRQPV_Responses)
  })
_sym_db.RegisterMessage(GetRQPV_Responses)

GetXCO2PV_Parameters = _reflection.GeneratedProtocolMessageType('GetXCO2PV_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETXCO2PV_PARAMETERS,
  '__module__' : 'OffgasServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.offgasservicer.v1.GetXCO2PV_Parameters)
  })
_sym_db.RegisterMessage(GetXCO2PV_Parameters)

GetXCO2PV_Responses = _reflection.GeneratedProtocolMessageType('GetXCO2PV_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETXCO2PV_RESPONSES,
  '__module__' : 'OffgasServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.offgasservicer.v1.GetXCO2PV_Responses)
  })
_sym_db.RegisterMessage(GetXCO2PV_Responses)

GetVCTPV_Parameters = _reflection.GeneratedProtocolMessageType('GetVCTPV_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETVCTPV_PARAMETERS,
  '__module__' : 'OffgasServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.offgasservicer.v1.GetVCTPV_Parameters)
  })
_sym_db.RegisterMessage(GetVCTPV_Parameters)

GetVCTPV_Responses = _reflection.GeneratedProtocolMessageType('GetVCTPV_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETVCTPV_RESPONSES,
  '__module__' : 'OffgasServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.offgasservicer.v1.GetVCTPV_Responses)
  })
_sym_db.RegisterMessage(GetVCTPV_Responses)

GetVOTPV_Parameters = _reflection.GeneratedProtocolMessageType('GetVOTPV_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETVOTPV_PARAMETERS,
  '__module__' : 'OffgasServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.offgasservicer.v1.GetVOTPV_Parameters)
  })
_sym_db.RegisterMessage(GetVOTPV_Parameters)

GetVOTPV_Responses = _reflection.GeneratedProtocolMessageType('GetVOTPV_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETVOTPV_RESPONSES,
  '__module__' : 'OffgasServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.offgasservicer.v1.GetVOTPV_Responses)
  })
_sym_db.RegisterMessage(GetVOTPV_Responses)

GetState_Parameters = _reflection.GeneratedProtocolMessageType('GetState_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETSTATE_PARAMETERS,
  '__module__' : 'OffgasServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.offgasservicer.v1.GetState_Parameters)
  })
_sym_db.RegisterMessage(GetState_Parameters)

GetState_Responses = _reflection.GeneratedProtocolMessageType('GetState_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETSTATE_RESPONSES,
  '__module__' : 'OffgasServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.offgasservicer.v1.GetState_Responses)
  })
_sym_db.RegisterMessage(GetState_Responses)

GetType_Parameters = _reflection.GeneratedProtocolMessageType('GetType_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETTYPE_PARAMETERS,
  '__module__' : 'OffgasServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.offgasservicer.v1.GetType_Parameters)
  })
_sym_db.RegisterMessage(GetType_Parameters)

GetType_Responses = _reflection.GeneratedProtocolMessageType('GetType_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETTYPE_RESPONSES,
  '__module__' : 'OffgasServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.offgasservicer.v1.GetType_Responses)
  })
_sym_db.RegisterMessage(GetType_Responses)

GetAvailable_Parameters = _reflection.GeneratedProtocolMessageType('GetAvailable_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETAVAILABLE_PARAMETERS,
  '__module__' : 'OffgasServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.offgasservicer.v1.GetAvailable_Parameters)
  })
_sym_db.RegisterMessage(GetAvailable_Parameters)

GetAvailable_Responses = _reflection.GeneratedProtocolMessageType('GetAvailable_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETAVAILABLE_RESPONSES,
  '__module__' : 'OffgasServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.offgasservicer.v1.GetAvailable_Responses)
  })
_sym_db.RegisterMessage(GetAvailable_Responses)

GetName_Parameters = _reflection.GeneratedProtocolMessageType('GetName_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETNAME_PARAMETERS,
  '__module__' : 'OffgasServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.offgasservicer.v1.GetName_Parameters)
  })
_sym_db.RegisterMessage(GetName_Parameters)

GetName_Responses = _reflection.GeneratedProtocolMessageType('GetName_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETNAME_RESPONSES,
  '__module__' : 'OffgasServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.offgasservicer.v1.GetName_Responses)
  })
_sym_db.RegisterMessage(GetName_Responses)

GetVersion_Parameters = _reflection.GeneratedProtocolMessageType('GetVersion_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETVERSION_PARAMETERS,
  '__module__' : 'OffgasServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.offgasservicer.v1.GetVersion_Parameters)
  })
_sym_db.RegisterMessage(GetVersion_Parameters)

GetVersion_Responses = _reflection.GeneratedProtocolMessageType('GetVersion_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETVERSION_RESPONSES,
  '__module__' : 'OffgasServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.offgasservicer.v1.GetVersion_Responses)
  })
_sym_db.RegisterMessage(GetVersion_Responses)



_OFFGASSERVICER = _descriptor.ServiceDescriptor(
  name='OffgasServicer',
  full_name='sila2.org.silastandard.examples.offgasservicer.v1.OffgasServicer',
  file=DESCRIPTOR,
  index=0,
  serialized_options=None,
  serialized_start=1867,
  serialized_end=3785,
  methods=[
  _descriptor.MethodDescriptor(
    name='GetCTRPV',
    full_name='sila2.org.silastandard.examples.offgasservicer.v1.OffgasServicer.GetCTRPV',
    index=0,
    containing_service=None,
    input_type=_GETCTRPV_PARAMETERS,
    output_type=_GETCTRPV_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetFPV',
    full_name='sila2.org.silastandard.examples.offgasservicer.v1.OffgasServicer.GetFPV',
    index=1,
    containing_service=None,
    input_type=_GETFPV_PARAMETERS,
    output_type=_GETFPV_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetOTRPV',
    full_name='sila2.org.silastandard.examples.offgasservicer.v1.OffgasServicer.GetOTRPV',
    index=2,
    containing_service=None,
    input_type=_GETOTRPV_PARAMETERS,
    output_type=_GETOTRPV_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetRQPV',
    full_name='sila2.org.silastandard.examples.offgasservicer.v1.OffgasServicer.GetRQPV',
    index=3,
    containing_service=None,
    input_type=_GETRQPV_PARAMETERS,
    output_type=_GETRQPV_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetXCO2PV',
    full_name='sila2.org.silastandard.examples.offgasservicer.v1.OffgasServicer.GetXCO2PV',
    index=4,
    containing_service=None,
    input_type=_GETXCO2PV_PARAMETERS,
    output_type=_GETXCO2PV_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetVCTPV',
    full_name='sila2.org.silastandard.examples.offgasservicer.v1.OffgasServicer.GetVCTPV',
    index=5,
    containing_service=None,
    input_type=_GETVCTPV_PARAMETERS,
    output_type=_GETVCTPV_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetVOTPV',
    full_name='sila2.org.silastandard.examples.offgasservicer.v1.OffgasServicer.GetVOTPV',
    index=6,
    containing_service=None,
    input_type=_GETVOTPV_PARAMETERS,
    output_type=_GETVOTPV_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetState',
    full_name='sila2.org.silastandard.examples.offgasservicer.v1.OffgasServicer.GetState',
    index=7,
    containing_service=None,
    input_type=_GETSTATE_PARAMETERS,
    output_type=_GETSTATE_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetType',
    full_name='sila2.org.silastandard.examples.offgasservicer.v1.OffgasServicer.GetType',
    index=8,
    containing_service=None,
    input_type=_GETTYPE_PARAMETERS,
    output_type=_GETTYPE_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetAvailable',
    full_name='sila2.org.silastandard.examples.offgasservicer.v1.OffgasServicer.GetAvailable',
    index=9,
    containing_service=None,
    input_type=_GETAVAILABLE_PARAMETERS,
    output_type=_GETAVAILABLE_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetName',
    full_name='sila2.org.silastandard.examples.offgasservicer.v1.OffgasServicer.GetName',
    index=10,
    containing_service=None,
    input_type=_GETNAME_PARAMETERS,
    output_type=_GETNAME_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetVersion',
    full_name='sila2.org.silastandard.examples.offgasservicer.v1.OffgasServicer.GetVersion',
    index=11,
    containing_service=None,
    input_type=_GETVERSION_PARAMETERS,
    output_type=_GETVERSION_RESPONSES,
    serialized_options=None,
  ),
])
_sym_db.RegisterServiceDescriptor(_OFFGASSERVICER)

DESCRIPTOR.services_by_name['OffgasServicer'] = _OFFGASSERVICER

# @@protoc_insertion_point(module_scope)
